@import '/www/style/html/xoxo.css';

.section {
  display: block;
  margin: 1em;
  border: #800080 1px solid;
  padding: 0.5em 1em;
}

dt, strong {
  font-weight: bolder;
  font-family: sans-serif;
}
dt:after {
  content: ":";
}

h1 {
  font-weight: bolder;
  font-family: sans-serif;
  font-size: 180%;
}

h2 {
  margin: 0;
  border-style: none;
  padding: 0;
  font-weight: bolder;
  font-family: sans-serif;
  font-size: 150%;
}

h3 {
  font-weight: bolder;
  font-family: sans-serif;
  font-size: 100%;
  background-color: #fff0f0;
  color: black;
}

.tree-text q, .tree-cdata q, .tree-comment q {
  display: block;
}

q, #source-string li {
  white-space: pre;
  white-space: -moz-pre-wrap;
  white-space: pre-wrap;
}

q, #source-string ol {
  background-color: #f0f0ff;
  color: black;
  line-height: 1.5;
}

q:before, q:after {
  content: "";
}

#parse-errors dl:empty:before {
  content: "This document has no parse error.";
  font-style: italic;
}

#document-errors dl:empty:before {
  content: "This document has no document error.";
  font-style: italic;
}

#document-tree > ol {
  margin-left: 0;
  padding-left: 0;
}
#document-tree > ol > li {
/*  display: block;
  list-style: none;
  margin-left: 0;
  padding-left: 0; */
}

#document-tree ol /*ol*/ {
  margin-left: 1em;
  padding-left: 0;
}

#document-tree ol /*ol*/ li {
  margin-left: 0;
  padding-left: 0.4em;
}

#document-tree ul.attributes {
  margin-left: 3em;
  padding: 0;
}

#document-tree ul.attributes li {
  display: inline;
  list-style: none;
  margin: 0 2em 0 0;
  padding: 0;
  text-indent: 0;
  font-size: 90%;
}

#parse-errors dd, #document-errors dd, #error-description h3 {
  margin-left: 20px;
  padding-left: 40px;
  min-height: 32px;
  background-image: url(large-stop);
  background-position: center left;
  background-repeat: no-repeat;
}

#identifiers dd, #terms dd {
  margin-left: 20px;
  padding-left: 20px;
  min-height: 20px;
}

#identifiers dd + dd, #terms dd + dd {
  background-image: url(error);
  background-position: center left;
  background-repeat: no-repeat;
}

#error-description h3 {
  margin-left: 1em;
  margin-right: 1em;
}

#document-errors dd.should, #error-description .should h3 {
  background-image: url(large-alert);
}

#document-errors dd.unsupported {
  margin-left: 60px;
  border: red 0.2em solid;
  padding: 0.5em;
}

#document-errors dd.unsupported, #error-description .unsupported h3 {
  background-image: none;
}

#nav-items {
  display: block;
  position: fixed;
  top: 0.5em;
  right: 0.5em;
  width: auto;
  height: auto;
  font-size: 90%;
  background-color: #f4fff4;
  color: black;
  padding: 0;
  line-height: 1.1;
}

#nav-items li {
  display: block;
  list-style: none;
  margin: 0;
  border-style: none;
  padding: 0;
  text-align: center;
}

#nav-items li a[href] {
  display: block;
  border-style: none;
  color: inherit;
  text-decoration: none;
}

img {
  border-style: none;
}

code {
  font-family: "Courier New", "Courier", monospace;
  letter-spacing: 0.1em;
  background-color: transparent;
  color: orangered;
  white-space: -moz-pre-wrap;
  white-space: pre-wrap;
}

/*

Copyright 2007 Wakaba <w@suika.fam.cx>

This library is free software; you can redistribute it
and/or modify it under the same terms as Perl itself.

$Date: 2007/09/03 14:30:46 $

*/
